diff --git a/fc-solve/source/dbm_solver.h b/fc-solve/source/dbm_solver.h
index 919bb1d99..c0efe8a86 100644
--- a/fc-solve/source/dbm_solver.h
+++ b/fc-solve/source/dbm_solver.h
@@ -10,7 +10,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "generic_tree.h"
@@ -24,137 +25,140 @@ extern "C" {
 
 #include "dbm_lru_cache.h"
 
-typedef union fcs_pre_cache_key_val_pair_struct {
-    struct
-    {
-        fcs_encoded_state_buffer_t key;
-        fcs_encoded_state_buffer_t parent;
-    };
-    union fcs_pre_cache_key_val_pair_struct *next;
-} fcs_pre_cache_key_val_pair_t;
+    typedef union fcs_pre_cache_key_val_pair_struct {
+        struct
+        {
+            fcs_encoded_state_buffer_t key;
+            fcs_encoded_state_buffer_t parent;
+        };
+        union fcs_pre_cache_key_val_pair_struct *next;
+    } fcs_pre_cache_key_val_pair_t;
 
-typedef struct
-{
-    dict_t *kaz_tree;
-    fcs_compact_allocator_t kv_allocator;
-    fcs_pre_cache_key_val_pair_t *kv_recycle_bin;
-    long count_elements;
-    void *tree_recycle_bin;
-} fcs_pre_cache_t;
+    typedef struct
+    {
+        dict_t *kaz_tree;
+        fcs_compact_allocator_t kv_allocator;
+        fcs_pre_cache_key_val_pair_t *kv_recycle_bin;
+        long count_elements;
+        void *tree_recycle_bin;
+    } fcs_pre_cache_t;
 #endif
 
-typedef void *fcs_dbm_store_t;
-void fc_solve_dbm_store_init(fcs_dbm_store_t *, const char *, void **);
-dict_t *fc_solve_dbm_store_get_dict(fcs_dbm_store_t);
-fcs_bool_t fc_solve_dbm_store_does_key_exist(
-    fcs_dbm_store_t, const unsigned char *);
-fcs_bool_t fc_solve_dbm_store_lookup_parent(
-    fcs_dbm_store_t, const unsigned char *const, unsigned char *const);
+    typedef void *fcs_dbm_store_t;
+    void fc_solve_dbm_store_init(fcs_dbm_store_t *, const char *, void **);
+    dict_t *fc_solve_dbm_store_get_dict(fcs_dbm_store_t);
+    fcs_bool_t fc_solve_dbm_store_does_key_exist(
+        fcs_dbm_store_t, const unsigned char *);
+    fcs_bool_t fc_solve_dbm_store_lookup_parent(
+        fcs_dbm_store_t, const unsigned char *const, unsigned char *const);
 
-fcs_dbm_record_t *fc_solve_dbm_store_insert_key_value(fcs_dbm_store_t store,
-    const fcs_encoded_state_buffer_t *key, fcs_dbm_record_t *parent,
-    const fcs_bool_t should_modify_parent);
+    fcs_dbm_record_t *fc_solve_dbm_store_insert_key_value(fcs_dbm_store_t store,
+        const fcs_encoded_state_buffer_t *key, fcs_dbm_record_t *parent,
+        const fcs_bool_t should_modify_parent);
 
 #ifndef FCS_DBM_WITHOUT_CACHES
-void fc_solve_dbm_store_offload_pre_cache(
-    fcs_dbm_store_t store, fcs_pre_cache_t *const pre_cache);
+    void fc_solve_dbm_store_offload_pre_cache(
+        fcs_dbm_store_t store, fcs_pre_cache_t *const pre_cache);
 #endif
 
-void fc_solve_dbm_store_destroy(fcs_dbm_store_t store);
+    void fc_solve_dbm_store_destroy(fcs_dbm_store_t store);
 
-typedef struct fcs_dbm_queue_item_struct
-{
-    fcs_encoded_state_buffer_t key;
-    /* TODO : maybe get rid of moves_seq with FCS_DBM_WITHOUT_CACHES
-     * to save space. */
-    fcs_fcc_moves_seq_t moves_seq;
+    typedef struct fcs_dbm_queue_item_struct
+    {
+        fcs_encoded_state_buffer_t key;
+        /* TODO : maybe get rid of moves_seq with FCS_DBM_WITHOUT_CACHES
+         * to save space. */
+        fcs_fcc_moves_seq_t moves_seq;
 #ifndef FCS_DBM_WITHOUT_CACHES
-    fcs_fcc_move_t *moves_to_key;
+        fcs_fcc_move_t *moves_to_key;
 #endif
 
-    struct fcs_dbm_queue_item_struct *next;
-} fcs_dbm_queue_item_t;
+        struct fcs_dbm_queue_item_struct *next;
+    } fcs_dbm_queue_item_t;
 
-enum TERMINATE_REASON
-{
-    DONT_TERMINATE = 0,
-    QUEUE_TERMINATE,
-    MAX_ITERS_TERMINATE,
-    SOLUTION_FOUND_TERMINATE
-};
+    enum TERMINATE_REASON
+    {
+        DONT_TERMINATE = 0,
+        QUEUE_TERMINATE,
+        MAX_ITERS_TERMINATE,
+        SOLUTION_FOUND_TERMINATE
+    };
 
-typedef struct
-{
-    fcs_lock_t storage_lock;
-    long queue_num_extracted_and_processed;
-    fcs_encoded_state_buffer_t first_key;
-    long num_states_in_collection;
-    FILE *out_fh;
-    fcs_dbm_variant_type_t variant;
-    long count_num_processed, count_of_items_in_queue, max_count_num_processed;
-    fcs_bool_t queue_solution_was_found;
-    enum TERMINATE_REASON should_terminate;
+    typedef struct
+    {
+        fcs_lock_t storage_lock;
+        long queue_num_extracted_and_processed;
+        fcs_encoded_state_buffer_t first_key;
+        long num_states_in_collection;
+        FILE *out_fh;
+        fcs_dbm_variant_type_t variant;
+        long count_num_processed, count_of_items_in_queue,
+            max_count_num_processed;
+        fcs_bool_t queue_solution_was_found;
+        enum TERMINATE_REASON should_terminate;
 #ifdef FCS_DBM_WITHOUT_CACHES
-    fcs_dbm_record_t *queue_solution_ptr;
+        fcs_dbm_record_t *queue_solution_ptr;
 #else
     fcs_encoded_state_buffer_t queue_solution;
 #endif
-    void *tree_recycle_bin;
-} fcs_dbm_instance_common_elems_t;
+        void *tree_recycle_bin;
+    } fcs_dbm_instance_common_elems_t;
 
-static inline void fcs_dbm__found_solution(
-    fcs_dbm_instance_common_elems_t *const common,
-    fcs_dbm_record_t *const token, fcs_dbm_queue_item_t *const item GCC_UNUSED)
-{
-    common->should_terminate = SOLUTION_FOUND_TERMINATE;
-    common->queue_solution_was_found = TRUE;
+    static inline void fcs_dbm__found_solution(
+        fcs_dbm_instance_common_elems_t *const common,
+        fcs_dbm_record_t *const token,
+        fcs_dbm_queue_item_t *const item GCC_UNUSED)
+    {
+        common->should_terminate = SOLUTION_FOUND_TERMINATE;
+        common->queue_solution_was_found = TRUE;
 #ifdef FCS_DBM_WITHOUT_CACHES
-    common->queue_solution_ptr = token;
+        common->queue_solution_ptr = token;
 #else
     common->queue_solution = item->key;
 #endif
-}
-
-static inline void fcs_dbm__common_init(
-    fcs_dbm_instance_common_elems_t *const common, const long iters_delta_limit,
-    const fcs_dbm_variant_type_t local_variant, FILE *const out_fh)
-{
-    common->variant = local_variant;
-    common->out_fh = out_fh;
-    common->queue_solution_was_found = FALSE;
-    common->should_terminate = DONT_TERMINATE;
-    common->queue_num_extracted_and_processed = 0;
-    common->num_states_in_collection = 0;
-    common->count_num_processed = 0;
-    if (iters_delta_limit >= 0)
-    {
-        common->max_count_num_processed =
-            common->count_num_processed + iters_delta_limit;
     }
-    else
+
+    static inline void fcs_dbm__common_init(
+        fcs_dbm_instance_common_elems_t *const common,
+        const long iters_delta_limit,
+        const fcs_dbm_variant_type_t local_variant, FILE *const out_fh)
     {
-        common->max_count_num_processed = LONG_MAX;
+        common->variant = local_variant;
+        common->out_fh = out_fh;
+        common->queue_solution_was_found = FALSE;
+        common->should_terminate = DONT_TERMINATE;
+        common->queue_num_extracted_and_processed = 0;
+        common->num_states_in_collection = 0;
+        common->count_num_processed = 0;
+        if (iters_delta_limit >= 0)
+        {
+            common->max_count_num_processed =
+                common->count_num_processed + iters_delta_limit;
+        }
+        else
+        {
+            common->max_count_num_processed = LONG_MAX;
+        }
+        common->count_of_items_in_queue = 0;
+        common->tree_recycle_bin = NULL;
+        fcs_lock_init(&common->storage_lock);
     }
-    common->count_of_items_in_queue = 0;
-    common->tree_recycle_bin = NULL;
-    fcs_lock_init(&common->storage_lock);
-}
 
-typedef struct
-{
+    typedef struct
+    {
 #ifndef FCS_DBM_WITHOUT_CACHES
 #ifndef FCS_DBM_CACHE_ONLY
-    fcs_pre_cache_t pre_cache;
+        fcs_pre_cache_t pre_cache;
 #endif
-    fcs_lru_cache_t cache;
+        fcs_lru_cache_t cache;
 #endif
 #ifndef FCS_DBM_CACHE_ONLY
-    fcs_dbm_store_t store;
+        fcs_dbm_store_t store;
 #endif
 
-    /* The queue */
-    long pre_cache_max_count;
-} fcs_dbm__cache_store__common_t;
+        /* The queue */
+        long pre_cache_max_count;
+    } fcs_dbm__cache_store__common_t;
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/dbm_solver_head.h b/fc-solve/source/dbm_solver_head.h
index ed9ce0baa..e326bad4a 100644
--- a/fc-solve/source/dbm_solver_head.h
+++ b/fc-solve/source/dbm_solver_head.h
@@ -15,7 +15,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include <pthread.h>
@@ -56,7 +57,7 @@ extern "C" {
 #include "dbm_trace.h"
 
 #ifdef DEBUG_FOO
-fc_solve_delta_stater_t global_delta_stater;
+    fc_solve_delta_stater_t global_delta_stater;
 #endif
 
 #ifdef __cplusplus
diff --git a/fc-solve/source/debondt_delta_states_iface.h b/fc-solve/source/debondt_delta_states_iface.h
index 84ff0dfd2..ee3419465 100644
--- a/fc-solve/source/debondt_delta_states_iface.h
+++ b/fc-solve/source/debondt_delta_states_iface.h
@@ -15,11 +15,12 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-extern char *fc_solve_user_INTERNAL_debondt_delta_states_enc_and_dec(
-    fcs_dbm_variant_type_t, const char *, const char *);
+    extern char *fc_solve_user_INTERNAL_debondt_delta_states_enc_and_dec(
+        fcs_dbm_variant_type_t, const char *, const char *);
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/delta_states.h b/fc-solve/source/delta_states.h
index 807782779..ddff8b436 100644
--- a/fc-solve/source/delta_states.h
+++ b/fc-solve/source/delta_states.h
@@ -14,7 +14,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "dbm_common.h"
@@ -25,10 +26,10 @@ extern "C" {
 #define FCS_ENCODED_STATE_COUNT_CHARS 24
 #endif
 
-typedef struct
-{
-    unsigned char s[FCS_ENCODED_STATE_COUNT_CHARS];
-} fcs_encoded_state_buffer_t;
+    typedef struct
+    {
+        unsigned char s[FCS_ENCODED_STATE_COUNT_CHARS];
+    } fcs_encoded_state_buffer_t;
 
 #if SIZEOF_VOID_P == 4
 #define FCS_EXPLICIT_REFCOUNT 1
@@ -36,88 +37,90 @@ typedef struct
 
 #ifdef FCS_DBM_RECORD_POINTER_REPR
 
-typedef struct
-{
-    fcs_encoded_state_buffer_t key;
-    uintptr_t parent_and_refcount;
+    typedef struct
+    {
+        fcs_encoded_state_buffer_t key;
+        uintptr_t parent_and_refcount;
 #ifdef FCS_EXPLICIT_REFCOUNT
-    unsigned char refcount;
+        unsigned char refcount;
 #endif
-} fcs_dbm_record_t;
+    } fcs_dbm_record_t;
 
 #define FCS_DBM_RECORD_SHIFT ((sizeof(rec->parent_and_refcount) - 1) * 8)
 
 #ifdef FCS_EXPLICIT_REFCOUNT
-static inline fcs_dbm_record_t *fcs_dbm_record_get_parent_ptr(
-    fcs_dbm_record_t *const rec)
-{
-    return (fcs_dbm_record_t *)(rec->parent_and_refcount);
-}
+    static inline fcs_dbm_record_t *fcs_dbm_record_get_parent_ptr(
+        fcs_dbm_record_t *const rec)
+    {
+        return (fcs_dbm_record_t *)(rec->parent_and_refcount);
+    }
 #else
-static inline fcs_dbm_record_t *fcs_dbm_record_get_parent_ptr(
-    fcs_dbm_record_t *const rec)
-{
-    return (fcs_dbm_record_t *)(rec->parent_and_refcount &
+    static inline fcs_dbm_record_t *fcs_dbm_record_get_parent_ptr(
+        fcs_dbm_record_t *const rec)
+    {
+        return (
+            fcs_dbm_record_t *)(rec->parent_and_refcount &
                                 (~(((uintptr_t)0xFF) << FCS_DBM_RECORD_SHIFT)));
-}
+    }
 #endif
 
-static inline void fcs_dbm_record_set_parent_ptr(
-    fcs_dbm_record_t *const rec, fcs_dbm_record_t *const parent_ptr)
-{
-    rec->parent_and_refcount = ((uintptr_t)parent_ptr);
+    static inline void fcs_dbm_record_set_parent_ptr(
+        fcs_dbm_record_t *const rec, fcs_dbm_record_t *const parent_ptr)
+    {
+        rec->parent_and_refcount = ((uintptr_t)parent_ptr);
 #ifdef FCS_EXPLICIT_REFCOUNT
-    rec->refcount = 0;
+        rec->refcount = 0;
 #endif
-}
+    }
 
 #ifdef FCS_EXPLICIT_REFCOUNT
-static inline unsigned char fcs_dbm_record_get_refcount(
-    const fcs_dbm_record_t *const rec)
-{
-    return rec->refcount;
-}
+    static inline unsigned char fcs_dbm_record_get_refcount(
+        const fcs_dbm_record_t *const rec)
+    {
+        return rec->refcount;
+    }
 #else
-static inline unsigned char fcs_dbm_record_get_refcount(
-    const fcs_dbm_record_t *const rec)
-{
-    return (unsigned char)(rec->parent_and_refcount >> FCS_DBM_RECORD_SHIFT);
-}
+    static inline unsigned char fcs_dbm_record_get_refcount(
+        const fcs_dbm_record_t *const rec)
+    {
+        return (
+            unsigned char)(rec->parent_and_refcount >> FCS_DBM_RECORD_SHIFT);
+    }
 #endif
 
 #ifdef FCS_EXPLICIT_REFCOUNT
-static inline void fcs_dbm_record_set_refcount(
-    fcs_dbm_record_t *const rec, const unsigned char new_val)
-{
-    rec->refcount = new_val;
-}
+    static inline void fcs_dbm_record_set_refcount(
+        fcs_dbm_record_t *const rec, const unsigned char new_val)
+    {
+        rec->refcount = new_val;
+    }
 #else
-static inline void fcs_dbm_record_set_refcount(
-    fcs_dbm_record_t *const rec, const unsigned char new_val)
-{
-    rec->parent_and_refcount &=
-        (~(((const uintptr_t)0xFF) << FCS_DBM_RECORD_SHIFT));
-    rec->parent_and_refcount |=
-        (((const uintptr_t)new_val) << FCS_DBM_RECORD_SHIFT);
-}
+    static inline void fcs_dbm_record_set_refcount(
+        fcs_dbm_record_t *const rec, const unsigned char new_val)
+    {
+        rec->parent_and_refcount &=
+            (~(((const uintptr_t)0xFF) << FCS_DBM_RECORD_SHIFT));
+        rec->parent_and_refcount |=
+            (((const uintptr_t)new_val) << FCS_DBM_RECORD_SHIFT);
+    }
 #endif
 
-static inline void fcs_dbm_record_increment_refcount(
-    fcs_dbm_record_t *const rec)
-{
-    fcs_dbm_record_set_refcount(rec, fcs_dbm_record_get_refcount(rec) + 1);
-}
+    static inline void fcs_dbm_record_increment_refcount(
+        fcs_dbm_record_t *const rec)
+    {
+        fcs_dbm_record_set_refcount(rec, fcs_dbm_record_get_refcount(rec) + 1);
+    }
 
-/* Returns the new value so we can tell if it is zero. */
-static inline unsigned char fcs_dbm_record_decrement_refcount(
-    fcs_dbm_record_t *const rec)
-{
-    const unsigned char new_val = fcs_dbm_record_get_refcount(rec) - 1;
+    /* Returns the new value so we can tell if it is zero. */
+    static inline unsigned char fcs_dbm_record_decrement_refcount(
+        fcs_dbm_record_t *const rec)
+    {
+        const unsigned char new_val = fcs_dbm_record_get_refcount(rec) - 1;
 
-    fcs_dbm_record_set_refcount(rec, new_val);
+        fcs_dbm_record_set_refcount(rec, new_val);
 
-    return new_val;
-}
+        return new_val;
+    }
 
 #else
 
@@ -129,24 +132,25 @@ typedef struct
 
 #endif
 
-typedef struct
-{
+    typedef struct
+    {
 #ifndef FCS_FREECELL_ONLY
-    int sequences_are_built_by;
+        int sequences_are_built_by;
 #endif
-    size_t num_freecells;
-    size_t num_columns;
-    fcs_state_t *init_state, *derived_state;
-    int bits_per_orig_cards_in_column;
-} fc_solve_delta_stater_t;
-
-static inline void fcs_init_encoded_state(fcs_encoded_state_buffer_t *enc_state)
-{
-    memset(enc_state, '\0', sizeof(*enc_state));
-}
-
-extern char *fc_solve_user_INTERNAL_delta_states_enc_and_dec(
-    fcs_dbm_variant_type_t, const char *, const char *);
+        size_t num_freecells;
+        size_t num_columns;
+        fcs_state_t *init_state, *derived_state;
+        int bits_per_orig_cards_in_column;
+    } fc_solve_delta_stater_t;
+
+    static inline void fcs_init_encoded_state(
+        fcs_encoded_state_buffer_t *enc_state)
+    {
+        memset(enc_state, '\0', sizeof(*enc_state));
+    }
+
+    extern char *fc_solve_user_INTERNAL_delta_states_enc_and_dec(
+        fcs_dbm_variant_type_t, const char *, const char *);
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/delta_states_any.h b/fc-solve/source/delta_states_any.h
index 4737d26bd..6810e0642 100644
--- a/fc-solve/source/delta_states_any.h
+++ b/fc-solve/source/delta_states_any.h
@@ -14,7 +14,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #ifdef FCS_DEBONDT_DELTA_STATES
@@ -30,22 +31,23 @@ extern "C" {
 #define fcs_init_and_encode_state(a, b, c, d)                                  \
     fcs_debondt_init_and_encode_state(a, b, c, d)
 #ifdef FCS_FREECELL_ONLY
-static inline void fc_solve_delta_stater_init(
-    fc_solve_debondt_delta_stater_t *const delta, fcs_state_t *const init_state,
-    const size_t num_columns, const int num_freecells)
-{
-    fc_solve_debondt_delta_stater_init(delta, FCS_DBM_VARIANT_2FC_FREECELL,
-        init_state, num_columns, num_freecells);
-}
+    static inline void fc_solve_delta_stater_init(
+        fc_solve_debondt_delta_stater_t *const delta,
+        fcs_state_t *const init_state, const size_t num_columns,
+        const int num_freecells)
+    {
+        fc_solve_debondt_delta_stater_init(delta, FCS_DBM_VARIANT_2FC_FREECELL,
+            init_state, num_columns, num_freecells);
+    }
 #else
-static inline void fc_solve_delta_stater_init(
-    fc_solve_debondt_delta_stater_t *const delta, fcs_state_t *const init_state,
-    const size_t num_columns, const int num_freecells,
-    const int sequences_are_built_by)
-{
-    fc_solve_debondt_delta_stater_init(delta, FCS_DBM_VARIANT_2FC_FREECELL,
-        init_state, num_columns, num_freecells, sequences_are_built_by);
-}
+    static inline void fc_solve_delta_stater_init(
+        fc_solve_debondt_delta_stater_t *const delta,
+        fcs_state_t *const init_state, const size_t num_columns,
+        const int num_freecells, const int sequences_are_built_by)
+    {
+        fc_solve_debondt_delta_stater_init(delta, FCS_DBM_VARIANT_2FC_FREECELL,
+            init_state, num_columns, num_freecells, sequences_are_built_by);
+    }
 #endif
 #define fc_solve_delta_stater_release(a)                                       \
     fc_solve_debondt_delta_stater_release(a)
@@ -56,11 +58,11 @@ static inline void fc_solve_delta_stater_init(
 
 #ifdef FCS_DEBONDT_DELTA_STATES
 
-static inline int compare_enc_states(
-    const fcs_encoded_state_buffer_t *a, const fcs_encoded_state_buffer_t *b)
-{
-    return memcmp(a, b, sizeof(*a));
-}
+    static inline int compare_enc_states(const fcs_encoded_state_buffer_t *a,
+        const fcs_encoded_state_buffer_t *b)
+    {
+        return memcmp(a, b, sizeof(*a));
+    }
 
 #else
 
diff --git a/fc-solve/source/delta_states_debondt.h b/fc-solve/source/delta_states_debondt.h
index d8614eca6..cc568c66d 100644
--- a/fc-solve/source/delta_states_debondt.h
+++ b/fc-solve/source/delta_states_debondt.h
@@ -14,7 +14,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "delta_states.h"
@@ -24,23 +25,23 @@ extern "C" {
 
 #define CARD_ARRAY_LEN ((RANK_KING + 1) * FCS_NUM_SUITS)
 
-typedef struct
-{
+    typedef struct
+    {
 #ifndef FCS_FREECELL_ONLY
-    int sequences_are_built_by;
+        int sequences_are_built_by;
 #endif
-    int num_freecells;
-    size_t num_columns;
-    fcs_state_t *init_state, *derived_state;
-    int bits_per_orig_cards_in_column;
-    int card_states[CARD_ARRAY_LEN];
-    int8_t bakers_dozen_topmost_cards_lookup[((1 << 6) / 8) + 1];
-    fcs_var_base_reader_t r;
-    fcs_var_base_writer_t w;
-} fc_solve_debondt_delta_stater_t;
+        int num_freecells;
+        size_t num_columns;
+        fcs_state_t *init_state, *derived_state;
+        int bits_per_orig_cards_in_column;
+        int card_states[CARD_ARRAY_LEN];
+        int8_t bakers_dozen_topmost_cards_lookup[((1 << 6) / 8) + 1];
+        fcs_var_base_reader_t r;
+        fcs_var_base_writer_t w;
+    } fc_solve_debondt_delta_stater_t;
 
-extern char *fc_solve_user_INTERNAL_debondt_delta_states_enc_and_dec(
-    fcs_dbm_variant_type_t, const char *, const char *);
+    extern char *fc_solve_user_INTERNAL_debondt_delta_states_enc_and_dec(
+        fcs_dbm_variant_type_t, const char *, const char *);
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/delta_states_iface.h b/fc-solve/source/delta_states_iface.h
index 61bd9fae3..7321dc366 100644
--- a/fc-solve/source/delta_states_iface.h
+++ b/fc-solve/source/delta_states_iface.h
@@ -13,13 +13,14 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "dbm_common.h"
 
-extern char *fc_solve_user_INTERNAL_delta_states_enc_and_dec(
-    fcs_dbm_variant_type_t, const char *, const char *);
+    extern char *fc_solve_user_INTERNAL_delta_states_enc_and_dec(
+        fcs_dbm_variant_type_t, const char *, const char *);
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/depth_multi_queue.h b/fc-solve/source/depth_multi_queue.h
index 5f4866263..a6d895683 100644
--- a/fc-solve/source/depth_multi_queue.h
+++ b/fc-solve/source/depth_multi_queue.h
@@ -15,128 +15,131 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "offloading_queue.h"
 
-typedef struct
-{
-    const char *offload_dir_path;
-    fcs_queue_stats_t stats;
-    long min_depth, max_depth, max_depth_margin;
-    /*
-     * page_to_write_to, page_for_backup and page_to_read_from always
-     * point to the two "pages" below, but they can be swapped and
-     * page_for_backup may be NULL.
-     */
-    fcs_offloading_queue_t *queues_by_depth;
-    long next_queue_id;
+    typedef struct
+    {
+        const char *offload_dir_path;
+        fcs_queue_stats_t stats;
+        long min_depth, max_depth, max_depth_margin;
+        /*
+         * page_to_write_to, page_for_backup and page_to_read_from always
+         * point to the two "pages" below, but they can be swapped and
+         * page_for_backup may be NULL.
+         */
+        fcs_offloading_queue_t *queues_by_depth;
+        long next_queue_id;
 #ifndef FCS_DBM_USE_OFFLOADING_QUEUE
-    fcs_meta_compact_allocator_t *meta_alloc;
+        fcs_meta_compact_allocator_t *meta_alloc;
 #endif
-} fcs_depth_multi_queue_t;
+    } fcs_depth_multi_queue_t;
 
 #define DEPTH_Q_GROW_BY 32
 
-static inline void fcs_depth_multi_queue__new_queue(
-    fcs_depth_multi_queue_t *const queue, fcs_offloading_queue_t *const q)
-{
-    fcs_offloading_queue__init(q
+    static inline void fcs_depth_multi_queue__new_queue(
+        fcs_depth_multi_queue_t *const queue, fcs_offloading_queue_t *const q)
+    {
+        fcs_offloading_queue__init(q
 #ifdef FCS_DBM_USE_OFFLOADING_QUEUE
-        ,
-        queue->offload_dir_path, (queue->next_queue_id++)
+            ,
+            queue->offload_dir_path, (queue->next_queue_id++)
 #else
         ,
         queue->meta_alloc
 #endif
-    );
-}
+        );
+    }
 
-static inline void fcs_depth_multi_queue__insert(
-    fcs_depth_multi_queue_t *const queue, const int depth,
-    const fcs_offloading_queue_item_t *const item)
-{
-    while (depth > queue->max_depth)
+    static inline void fcs_depth_multi_queue__insert(
+        fcs_depth_multi_queue_t *const queue, const int depth,
+        const fcs_offloading_queue_item_t *const item)
     {
-        queue->max_depth++;
-        if (queue->max_depth == queue->max_depth_margin)
+        while (depth > queue->max_depth)
         {
-            queue->max_depth_margin += DEPTH_Q_GROW_BY;
-            queue->queues_by_depth =
-                SREALLOC(queue->queues_by_depth, queue->max_depth_margin);
+            queue->max_depth++;
+            if (queue->max_depth == queue->max_depth_margin)
+            {
+                queue->max_depth_margin += DEPTH_Q_GROW_BY;
+                queue->queues_by_depth =
+                    SREALLOC(queue->queues_by_depth, queue->max_depth_margin);
+            }
+            fcs_depth_multi_queue__new_queue(queue,
+                &(queue->queues_by_depth[queue->max_depth - queue->min_depth]));
         }
-        fcs_depth_multi_queue__new_queue(queue,
-            &(queue->queues_by_depth[queue->max_depth - queue->min_depth]));
-    }
-
-    fcs_offloading_queue__insert(
-        &(queue->queues_by_depth[depth - queue->min_depth]), item);
-
-    q_stats_insert(&queue->stats);
-}
 
-static inline void fcs_depth_multi_queue__init(
-    fcs_depth_multi_queue_t *const queue, const char *offload_dir_path,
-    const int first_depth, const fcs_offloading_queue_item_t *const first_item)
-{
-    queue->offload_dir_path = offload_dir_path;
-    fcs_queue_stats_init(&queue->stats);
-    queue->next_queue_id = 0;
-    queue->min_depth = first_depth;
-    queue->max_depth_margin = first_depth + DEPTH_Q_GROW_BY;
-
-    queue->queues_by_depth = SMALLOC(
-        queue->queues_by_depth, queue->max_depth_margin - queue->min_depth + 1);
-    fcs_depth_multi_queue__new_queue(queue, &(queue->queues_by_depth[0]));
-    queue->max_depth = first_depth;
-
-    fcs_depth_multi_queue__insert(queue, first_depth, first_item);
-}
+        fcs_offloading_queue__insert(
+            &(queue->queues_by_depth[depth - queue->min_depth]), item);
 
-static inline void fcs_depth_multi_queue__destroy(
-    fcs_depth_multi_queue_t *const queue)
-{
-    const int limit = queue->max_depth - queue->min_depth;
-    if (queue->queues_by_depth == NULL)
-    {
-        return;
+        q_stats_insert(&queue->stats);
     }
-    for (int i = 0; i <= limit; i++)
+
+    static inline void fcs_depth_multi_queue__init(
+        fcs_depth_multi_queue_t *const queue, const char *offload_dir_path,
+        const int first_depth,
+        const fcs_offloading_queue_item_t *const first_item)
     {
-        fcs_offloading_queue__destroy(&(queue->queues_by_depth[i]));
+        queue->offload_dir_path = offload_dir_path;
+        fcs_queue_stats_init(&queue->stats);
+        queue->next_queue_id = 0;
+        queue->min_depth = first_depth;
+        queue->max_depth_margin = first_depth + DEPTH_Q_GROW_BY;
+
+        queue->queues_by_depth = SMALLOC(queue->queues_by_depth,
+            queue->max_depth_margin - queue->min_depth + 1);
+        fcs_depth_multi_queue__new_queue(queue, &(queue->queues_by_depth[0]));
+        queue->max_depth = first_depth;
+
+        fcs_depth_multi_queue__insert(queue, first_depth, first_item);
     }
-    free(queue->queues_by_depth);
-    queue->queues_by_depth = NULL;
-}
 
-static inline fcs_bool_t fcs_depth_multi_queue__extract(
-    fcs_depth_multi_queue_t *const queue, int *const return_depth,
-    fcs_offloading_queue_item_t *const return_item)
-{
-    if (q_stats_is_empty(&queue->stats))
+    static inline void fcs_depth_multi_queue__destroy(
+        fcs_depth_multi_queue_t *const queue)
     {
-        return FALSE;
+        const int limit = queue->max_depth - queue->min_depth;
+        if (queue->queues_by_depth == NULL)
+        {
+            return;
+        }
+        for (int i = 0; i <= limit; i++)
+        {
+            fcs_offloading_queue__destroy(&(queue->queues_by_depth[i]));
+        }
+        free(queue->queues_by_depth);
+        queue->queues_by_depth = NULL;
     }
 
-    while (q_stats_is_empty(&queue->queues_by_depth[0].stats))
+    static inline fcs_bool_t fcs_depth_multi_queue__extract(
+        fcs_depth_multi_queue_t *const queue, int *const return_depth,
+        fcs_offloading_queue_item_t *const return_item)
     {
-        var_AUTO(save_queue, queue->queues_by_depth[0]);
-        memmove(queue->queues_by_depth, queue->queues_by_depth + 1,
-            sizeof(queue->queues_by_depth[0]) *
-                (queue->max_depth - queue->min_depth));
-        queue->queues_by_depth[queue->max_depth - queue->min_depth] =
-            save_queue;
-        queue->max_depth++;
-        queue->min_depth++;
-        queue->max_depth_margin++;
-    }
+        if (q_stats_is_empty(&queue->stats))
+        {
+            return FALSE;
+        }
 
-    *return_depth = queue->min_depth;
-    fcs_offloading_queue__extract(&(queue->queues_by_depth[0]), return_item);
-    q_stats_extract(&queue->stats);
-    return TRUE;
-}
+        while (q_stats_is_empty(&queue->queues_by_depth[0].stats))
+        {
+            var_AUTO(save_queue, queue->queues_by_depth[0]);
+            memmove(queue->queues_by_depth, queue->queues_by_depth + 1,
+                sizeof(queue->queues_by_depth[0]) *
+                    (queue->max_depth - queue->min_depth));
+            queue->queues_by_depth[queue->max_depth - queue->min_depth] =
+                save_queue;
+            queue->max_depth++;
+            queue->min_depth++;
+            queue->max_depth_margin++;
+        }
+
+        *return_depth = queue->min_depth;
+        fcs_offloading_queue__extract(
+            &(queue->queues_by_depth[0]), return_item);
+        q_stats_extract(&queue->stats);
+        return TRUE;
+    }
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/fc_pro_iface_pos.h b/fc-solve/source/fc_pro_iface_pos.h
index bf724f3d6..d006f2656 100644
--- a/fc-solve/source/fc_pro_iface_pos.h
+++ b/fc-solve/source/fc_pro_iface_pos.h
@@ -14,52 +14,53 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "fcs_cl.h"
 #include "state.h"
 
-typedef struct
-{
-    fcs_move_t move;
-    fcs_bool_t to_empty_stack;
-} fcs_extended_move_t;
+    typedef struct
+    {
+        fcs_move_t move;
+        fcs_bool_t to_empty_stack;
+    } fcs_extended_move_t;
 
-typedef struct
-{
-    size_t next_move_idx;
-    size_t num_moves;
-    fcs_extended_move_t *moves;
-} fcs_moves_processed_t;
+    typedef struct
+    {
+        size_t next_move_idx;
+        size_t num_moves;
+        fcs_extended_move_t *moves;
+    } fcs_moves_processed_t;
 
-void fc_solve_moves_processed_gen(fcs_moves_processed_t *,
-    fcs_state_keyval_pair_t *, int, const fcs_moves_sequence_t *);
-void fc_solve_moves_processed_render_move(fcs_extended_move_t, char *);
+    void fc_solve_moves_processed_gen(fcs_moves_processed_t *,
+        fcs_state_keyval_pair_t *, int, const fcs_moves_sequence_t *);
+    void fc_solve_moves_processed_render_move(fcs_extended_move_t, char *);
 
-static inline int fc_solve_moves_processed_get_moves_left(
-    const fcs_moves_processed_t *const moves)
-{
-    return moves->num_moves - moves->next_move_idx;
-}
+    static inline int fc_solve_moves_processed_get_moves_left(
+        const fcs_moves_processed_t *const moves)
+    {
+        return moves->num_moves - moves->next_move_idx;
+    }
 
-static inline fcs_bool_t fc_solve_moves_processed_get_next_move(
-    fcs_moves_processed_t *const moves, fcs_extended_move_t *const move)
-{
-    if (moves->next_move_idx == moves->num_moves)
+    static inline fcs_bool_t fc_solve_moves_processed_get_next_move(
+        fcs_moves_processed_t *const moves, fcs_extended_move_t *const move)
     {
-        return TRUE;
+        if (moves->next_move_idx == moves->num_moves)
+        {
+            return TRUE;
+        }
+        *move = moves->moves[moves->next_move_idx++];
+        return FALSE;
     }
-    *move = moves->moves[moves->next_move_idx++];
-    return FALSE;
-}
 
-static inline void fc_solve_moves_processed_free(
-    fcs_moves_processed_t *const moves)
-{
-    free(moves->moves);
-    moves->moves = NULL;
-}
+    static inline void fc_solve_moves_processed_free(
+        fcs_moves_processed_t *const moves)
+    {
+        free(moves->moves);
+        moves->moves = NULL;
+    }
 
 #ifdef __cplusplus
 }
